%define name kbatmon
%define version 0.0.1
%define release 1

Name: %{name}
Version: %{version}
Release: %{release}

Source: ftp://ftp.kde.org/pub/unstable/apps/utils/kbatmon-%{version}.tar.gz

Copyright: GPL
BuildRoot: /tmp/build.%{name}-%{version}-%{release}

Requires: qt >= 1.42
Distribution: KDE
Vendor: The KDE Team
Prefix: /usr

Group: X11/KDE/Utilities
Group(ru): X11/KDE/
Summary: K Desktop Environment - Battery Monitor for laptops 

%description

KDE Battery Monitor for laptops and portable computers

%prep

rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}

%build
export LC_ALL=C
export KDEDIR=/usr
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix="$KDEDIR" --with-install-root="$RPM_BUILD_ROOT"

make CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS"

%install
make install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' \
	-e '/\/applnk\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}
%doc README README.SECURITY
